Icon (Java Platform SE 8 )
Keywords: javax.swing.Icon interface
Date: 2017-07-29

javax.swing

## Interface Icon

- All Known Implementing Classes:
    IconUIResource, ImageIcon, MetalCheckBoxIcon, MetalComboBoxIcon, MetalIconFactory.FileIcon16, MetalIconFactory.FolderIcon16, MetalIconFactory.PaletteCloseIcon, MetalIconFactory.TreeControlIcon, MetalIconFactory.TreeFolderIcon, MetalIconFactory.TreeLeafIcon

      public interface Icon

  A small fixed size picture, typically used to decorate components.
  See Also:
    `ImageIcon`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()` Returns the icon's height.
    `int` | `getIconWidth()` Returns the icon's width.
    `void` | `paintIcon(Component c, Graphics g, int x, int y)` Draw the icon at the specified location.

- - ### Method Detail

    - #### paintIcon

          void paintIcon(Component c,
                         Graphics g,
                         int x,
                         int y)

      Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.

    - #### getIconWidth

          int getIconWidth()

      Returns the icon's width.
      Returns:
        an int specifying the fixed width of the icon.

    - #### getIconHeight

          int getIconHeight()

      Returns the icon's height.
      Returns:
        an int specifying the fixed height of the icon.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.